package com.ssj.bean.weixin.order.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;



/**
 * 
 * 类名称：OrderRefund<br>
 * 微信退款记录表
 *
 */
@Entity
@Table(name = "tb_order_refund")
public class OrderRefund  extends BaseEntity{
	
	 /**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	 
	 private String orderNo;//平台订单编号
	 
	 private String refundNo;//平台退款单号
	 
	 private String transactionId;//微信订单号
	 
	 
	 private BigDecimal totalFee;//订单金额
	 
	 private BigDecimal refundTotalFee;//退款金额
	 
	 private Date createTime;//创建时间
	 
	 private Integer refundStatus;//退款状态
	 
	  
		 
		
	@Column(name = "order_no")
	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	
	
	@Column(name = "refund_no")
	public String getRefundNo() {
		return refundNo;
	}

	public void setRefundNo(String refundNo) {
		this.refundNo = refundNo;
	}

	
	@Column(name = "transaction_id")
	public String getTransactionId() {
		return transactionId;
	}

	public void setTransactionId(String transactionId) {
		this.transactionId = transactionId;
	}


	
	@Column(name = "total_fee")
	public BigDecimal getTotalFee() {
		return totalFee;
	}

	public void setTotalFee(BigDecimal totalFee) {
		this.totalFee = totalFee;
	}

	@Column(name = "refund_total_fee")
	public BigDecimal getRefundTotalFee() {
		return refundTotalFee;
	}

	public void setRefundTotalFee(BigDecimal refundTotalFee) {
		this.refundTotalFee = refundTotalFee;
	}

	
	@Column(name = "create_time", updatable = false)
	public Date getCreateTime() {
		return createTime;
	}
	
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	
	@Column(name = "refund_status")
	public Integer getRefundStatus() {
		return refundStatus;
	}

	public void setRefundStatus(Integer refundStatus) {
		this.refundStatus = refundStatus;
	}



}
